"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const celo_1 = __importDefault(require("./celo"));
class ExchangeGold extends celo_1.default {
}
exports.default = ExchangeGold;
ExchangeGold.description = 'Exchange CELO for StableTokens via the stability mechanism. *DEPRECATION WARNING* Use the "exchange:celo" command instead';
ExchangeGold.flags = Object.assign({}, celo_1.default.flags);
ExchangeGold.args = [];
ExchangeGold.examples = [
    'gold --value 5000000000000 --from 0xc1912fEE45d61C87Cc5EA59DaE31190FFFFf232d',
    'gold --value 5000000000000 --forAtLeast 100000000000000 --from 0xc1912fEE45d61C87Cc5EA59DaE31190FFFFf232d --stableToken cUSD',
];
//# sourceMappingURL=gold.js.map