"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_1 = require("../../base");
class NodeAccounts extends base_1.BaseCommand {
    constructor() {
        super(...arguments);
        this.requireSynced = false;
    }
    run() {
        return __awaiter(this, void 0, void 0, function* () {
            this.parse(NodeAccounts);
            const accounts = yield this.kit.connection.getAccounts();
            console.log('***This command will be deprecated, please use "account:list" ***');
            console.log(accounts);
        });
    }
}
exports.default = NodeAccounts;
NodeAccounts.description = 'List the addresses that this node has the private keys for.';
NodeAccounts.flags = Object.assign({}, base_1.BaseCommand.flags);
//# sourceMappingURL=accounts.js.map